


function get_province(select_field_id,random_str) {
	//jQuery('.ajax_indicator_'+random_str).fadeIn();
	jQuery.ajax({
		method: "GET",
		url: "https://www.switch.ir/api/Province",
		dataType: "json",
		success: function (response) {
			jQuery('.ajax_indicator_'+random_str).fadeOut();
			//console.log(response);
			//alert("ok");
			for (var x = 0; x < response.length; x++) {
				var options = '<option  value="' + response[x]['code'] + '" data-code="' + response[x]['code'] + '"  data-dynamics-province-id="' + response[x]['dynamicsProvinceId'] + '"  data-id="' + response[x]['_id'] + '" >' + response[x]['name'] + '</option>';
				if(response[x]['name']=="تهران" ){
					jQuery(select_field_id).append(options);
				}
			} 
		},
		failure: function (response) {
		},
		error: function (response) {
		}
	});
	
} 
function get_brands(select_field_id,random_str) {
	jQuery('.ajax_indicator_'+random_str).fadeIn();
	jQuery.ajax({
		method: "GET",
		url: "https://www.switch.ir/api/brands",
		dataType: "json",
		success: function (response) {
			jQuery('.ajax_indicator_'+random_str).fadeOut();
			//console.log(response);
			//alert("ok");
			for (var x = 0; x < response.length; x++) {
				var options = '<option  value="' + response[x]['dynamicsId'] + '" data-dynamics-id="' + response[x]['dynamicsId'] + '"  data-id="' + response[x]['_id'] + '" >' + response[x]['title'] + '</option>';
				jQuery(select_field_id).append(options);
			} 
		},
		failure: function (response) {
		},
		error: function (response) {
		}
	});
	
}
function get_models(select_field_id , select_field_brand_id,random_str) {
	jQuery('.ajax_indicator_'+random_str).fadeIn();
	var dynamicsId = jQuery(select_field_brand_id).find("option:selected").attr("value");
	jQuery(select_field_id).empty();
	jQuery(select_field_id).append('<option value="" disabled selected>مدل</option>');
	jQuery(select_field_id).prop("disabled", true);
	jQuery.ajax({
		method: "GET",
		url: "https://www.switch.ir/api/Models/GetModelsByBrand/"+dynamicsId,
		dataType: "json",
		success: function (response) {
			//console.log(response);
			//alert("ok");
			for (var x = 0; x < response.length; x++) {
				var options = '<option  value="' + response[x]['dynamicsId'] + '" data-dynamics-id="' + response[x]['dynamicsId'] + '"  data-dynamics-brand-id="' + response[x]['dynamicBrandId'] + '" data-id="' + response[x]['_id'] + '" >' + response[x]['title'] + '</option>';
				jQuery(select_field_id).append(options);
			} 
			jQuery(select_field_id).prop("disabled", false);
			jQuery('.ajax_indicator_'+random_str).fadeOut();
		},
		failure: function (response) {
		},
		error: function (response) {
		}
	});
	
}
function after_select_field_model_change(input_field_year_id , select_field_model_id,random_str) {
	//jQuery(input_field_year_id).prop("disabled", false);
	
}

function mmsf_sell_submit(
	event,
	main_form_element_id,
	select_field_province_id,
	select_field_brand_id,
	select_field_model_id,
	input_field_year_id,
	input_field_name_id,
	input_field_last_name_id,
	input_phone_id,
	random_str
) {
    //if (!validateForm()) return false;
	var lang = 66;
	
	//https://github.com/emretulek/jbvalidator
	let validator = jQuery(main_form_element_id).jbvalidator({
		errorMessage: false,
		successClass: true,
		language: lang_file_url
	});

	//custom validate methode
	validator.validator.custom = function(el, event){
		if(jQuery(el).is('[name=password]') && $(el).val().length < 5){
			return 'Your password is too weak.';
		}
	}
	if(validator.checkAll() > 0){
		return false;
	}else{
		
	}
	console.log(validator.checkAll());
		
		
	var form = document.querySelector(main_form_element_id);
	if (!form.checkValidity() ) {
	  //event.preventDefault();
	  //event.stopPropagation();
	  //form.classList.add('was-validated');
	  return false;
	}
	
	//event.preventDefault(); 
    //alert(select_field_model_id);
	//return false;
	var province = jQuery(select_field_province_id+' option:selected').data("dynamics-province-id");
	var province_name = jQuery(select_field_province_id+' option:selected').text();
	var province_code = jQuery(select_field_province_id+' option:selected').data("code");
	var brand = jQuery(select_field_brand_id+' option:selected').data("dynamics-id");
	var model = jQuery(select_field_model_id+' option:selected').data("dynamics-id");
	var year = jQuery(input_field_year_id).val();
	var karkerd = jQuery('#karkerd-field-'+random_str).val();
	var name = jQuery(input_field_name_id).val();
	var last_name = jQuery(input_field_last_name_id).val();
	var phone = jQuery(input_phone_id).val();
	var d= new Date();
	var date_time = d.toISOString();//format '2021-09-19T09:04:51.839Z'
	
	jQuery.ajax({
        type: "post",
        url: admin_ajax_url,
        data: //JSON.stringify(
			{
			  action: 'switch_forms_ajax',
			  ajax_type : 'submit_sell_form_ajax',
			  province : province,
			  province_name : province_name,
			  province_code : province_code,
			  brand : brand,
			  year : year,
			  karkerd : karkerd,
			  name : name,
			  last_name : last_name,
			  phone : phone,
			  date_time : date_time,
			},
		//),
		beforeSend: function() {
			console.log('beforeSend');
			jQuery('.ajax_indicator_'+random_str).fadeIn();
		}, 
        success: function(e) {
			console.log(e);
			jQuery('.ajax_indicator_'+random_str).hide();
			jQuery('#form-'+random_str).hide();
			jQuery('#result-box-'+random_str).show();
			jQuery('#result-box-'+random_str).append('<i class="fas fa-check"></i><h1 class="mmsf_form_success_title">درخواست شما با موفقیت ثبت شد</h1><div class="mmsf_form_success_disc">کارشناسان سوییچ در اولین فرصت با شما تماس خواهند گرفت.</div>');
        },
        failure: function(e) {
			console.log(e);
			jQuery('.ajax_indicator_'+random_str).hide();
			jQuery('#form-'+random_str).hide();
			jQuery('#result-box-'+random_str).show();
			jQuery('#result-box-'+random_str).append('<h1 class="mmsf_form_error_title">خطای ثبت  در سامانه</h1>');
        },
        error: function(e) {
			console.log(e);
			jQuery('.ajax_indicator_'+random_str).hide();
			jQuery('#form-'+random_str).hide();
			jQuery('#result-box-'+random_str).show();
			jQuery('#result-box-'+random_str).append('<h1 class="mmsf_form_error_title">خطای ثبت  در سامانه</h1><div>ثبت سفارش فروش از طریق این فرم فعلا مقدرور نمی باشد از فرم صفحه اصلی سایت استفاده بفرمائید</div><a href="https://www.switch.ir/">صفحه اصلی </a>');
        }
    });
	
}

 
function mmsf_buy_submit(
	event,
	main_form_element_id,
	select_field_province_id,
	select_field_brand_id,
	select_field_model_id,
	select_min_budget_id,
	input_field_name_id,
	input_field_last_name_id,
	input_phone_id,
	random_str
) {
    //if (!validateForm()) return false;
	//https://github.com/emretulek/jbvalidator
	let validator = jQuery(main_form_element_id).jbvalidator({
		errorMessage: false,
		successClass: true,
		language: lang_file_url
	});

	//custom validate methode
	validator.validator.custom = function(el, event){
		if(jQuery(el).is('[name=password]') && $(el).val().length < 5){
			return 'Your password is too weak.';
		}
	}
	if(validator.checkAll() > 0){
		return false;
	}else{
		
	}
	console.log(validator.checkAll());
	var form = document.querySelector(main_form_element_id);
	if (!form.checkValidity()) {
	  //event.preventDefault();
	  //event.stopPropagation();
	  //form.classList.add('was-validated');
	  //return false;
	}
	
	//event.preventDefault(); 
    //alert();
	var province = jQuery(select_field_province_id+' option:selected').data("dynamics-province-id");
	var province_name = jQuery(select_field_province_id+' option:selected').text();
	var province_code = jQuery(select_field_province_id+':selected').data("code");
	var brand = jQuery(select_field_brand_id+' option:selected').data("dynamics-id");
	var model = jQuery(select_field_model_id+' option:selected').data("dynamics-id");
	var budget = jQuery(select_min_budget_id+' option:selected').val();
	var name = jQuery(input_field_name_id).val();
	var last_name = jQuery(input_field_last_name_id).val();
	var phone = jQuery(input_phone_id).val();
	var d= new Date();
	var date_time = d.toISOString();//format '2021-09-19T09:04:51.839Z'
	
	jQuery.ajax({
        type: "post",
        url: admin_ajax_url,
        data: //JSON.stringify(
			{
			  action: 'switch_forms_ajax',
			  ajax_type : 'submit_buy_form_ajax',
			  province : province,
			  province_name : province_name,
			  province_code : province_code,
			  brand : brand,
			  model : model,
			  budget : budget,
			  name : name,
			  last_name : last_name,
			  phone : phone,
			  date_time : date_time,
			},
		//),
		beforeSend: function() {
			console.log('beforeSend');
			jQuery('.ajax_indicator_'+random_str).fadeIn();
		}, 
        success: function(e) {
			console.log(e);
			jQuery('.ajax_indicator_'+random_str).hide();
			jQuery('#form-'+random_str).hide();
			jQuery('#result-box-'+random_str).show();
			jQuery('#result-box-'+random_str).append('<i class="fas fa-check"></i><h1 class="mmsf_form_success_title">درخواست شما با موفقیت ثبت شد</h1><div class="mmsf_form_success_disc">کارشناسان سوییچ در اولین فرصت با شما تماس خواهند گرفت.</div>');
        },
        failure: function(e) {
			console.log(e);
			jQuery('.ajax_indicator_'+random_str).hide();
			jQuery('#form-'+random_str).hide();
			jQuery('#result-box-'+random_str).show();
			jQuery('#result-box-'+random_str).append('<h1 class="mmsf_form_error_title">خطای ثبت  در سامانه</h1>');
        },
        error: function(e) {
			console.log(e);
			jQuery('.ajax_indicator_'+random_str).hide();
			jQuery('#form-'+random_str).hide();
			jQuery('#result-box-'+random_str).show();
			jQuery('#result-box-'+random_str).append('<h1 class="mmsf_form_error_title">خطای ثبت  در سامانه</h1>');
        }
    });
	
}






